Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162183 - metacity 2.10.2 was released
Summary: metacity 2.10.2 was released
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: metacity
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-30 17:28 UTC by sangu
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 2.10.3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-21 02:23:20 UTC


Attachments (Terms of Use)

Description sangu 2005-06-30 17:28:50 UTC
Description of problem:
Many bugs fixed and translations added 

2.10.2
==

Thanks to Billy Biggs, Greg Hudson, Elijah Newren, Ray Strode, Ryan
Lortie, and Soeren Sandmann for improvements in this release.

 - Makes metacity a bit faster when dragging windows around (Soeren) [#141813]
 - Fix simple memory error, using the address of a local variable as a
   hash key (Ryan) [#307209]
 - Fix a small leak in the case of a SYNC_COUNTER property value and
   HAVE_XSYNC not defined (Ryan) [#307214]
 - Cleanup font data when done with it (Ray) [#306720]
 - If the window has a modal transient which is being unmanaged, don't
   focus it (Elijah) [#305362]
 - Make sure window position is calculated correctly for reconfigure
   requests when part of the XWindowChanges structure is uninitialized
   (Greg) [#305257]
 - Add a resize popup when resizing constrained windows (Ray) [#305564]
 - Don't accidentally treat maximize vertically as maximize in both
   directions (Elijah) [#302204]
 - Put all transients of the new window, if any exist, in the
   calc_showing queue (Elijah, Billy) [#303284]

Translations
  Kostas Papadimas (el), Priit Laes (et), Pauli Virtanen (fi), Ignacio
  Casal Quinteiro (gl), Theppitak Karoonboonyanan (th), Canonical
  Ltd (xh), Woodman Tuen (zh_TW)

2.10.1
==

This is a stable release to coincide with the release of Gnome 2.10.0.

Thanks to Dan Winship and Lex Hider for fixes in this release.

 - Make sure the "Close" button has the focus in the
   buggy-session-management-applications-warning dialog instead of the
   table (Dan) [#172703]
 - add doc/code-overview.txt and doc/how-to-get-focus-right.txt to the
   distributed files (Lex) [#170519]

Translations
  Adam Weinberger (en_CA), Christopher Orr (en_GB), Elnaz Sarbar (fa),
  Gabor Kelemen (hu), Jyotsna Shrestha (ne), Steve Murphy (rw),
  Baris Cicek (tr), Canonical Ltd (xh)

http://ftp.gnome.org/pub/GNOME/sources/metacity/2.10/metacity-2.10.2.tar.bz2

Version-Release number of selected component (if applicable):
metacity-2.10.0-1

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:


Note You need to log in before you can comment on or make changes to this bug.